package com.example.myapplication.Adapter

import android.content.Context
import android.content.Intent
import android.view.LayoutInflater
import android.view.View
import android.widget.TextView
import androidx.core.content.ContextCompat.startActivity
import androidx.recyclerview.widget.RecyclerView
import com.example.myapplication.R
import com.example.myapplication.database.Song
import com.example.myapplication.ui.PlayMusicActivity
import com.example.myapplication.utils.TimeUtils

class MusicListAdapter(private val context: Context) : RecyclerView.Adapter<MusicListAdapter.SongViewHolder>() {
    var data=  listOf<Song>()
    set(value) {
        field=value
        notifyDataSetChanged()
    }



    override fun onCreateViewHolder(parent: android.view.ViewGroup, viewType: Int): SongViewHolder {
        val layoutInflater = LayoutInflater.from(parent.context)
        val view = layoutInflater.inflate(R.layout.song_list_item, parent, false)
        val myViewHolder = SongViewHolder(view)
        myViewHolder.itemView.setOnClickListener(View.OnClickListener {
            //   TODO：跳转到播放界面，播放对应歌曲
        })
        return myViewHolder
    }

    override fun onBindViewHolder(holder:SongViewHolder, position: Int) {
        val item=data[position]
        val duration = item.duration
        val time: String = TimeUtils.formatDuration(duration)
        holder.tvPosition.text=(holder.bindingAdapterPosition + 1).toString()
        holder.tvSongName.text = item.song
        holder.tvSinger.text = item.singer
        holder.tvDuration.text = time


    }
    override fun getItemCount(): Int {
        return data.size
    }
    class SongViewHolder(view: View) : RecyclerView.ViewHolder(view) {
        val tvPosition: TextView = view.findViewById(R.id.tv_position)
        val tvSongName: TextView = view.findViewById(R.id.tv_song_name)
        val tvSinger: TextView = view.findViewById(R.id.tv_singer)
        val tvDuration: TextView = view.findViewById(R.id.tv_duration_time)
    }

}